<div class="flex flex-column p-2">
  <h3>Buscador</h3>

  <mat-form-field>
    <mat-label>Buscador de héroes</mat-label>
    <input type="text" matInput (input)="searchHero()" [formControl]="searchInput" [matAutocomplete]="auto">

    <mat-autocomplete autoActiveFirstOption #auto="matAutocomplete" (optionSelected)="onSelectedOption($event)">
      <mat-option *ngFor="let hero of heroes" [value]="hero">
        {{hero.superhero}}
      </mat-option>

      <mat-option *ngIf="heroes.length === 0 && searchInput.value && searchInput.value.length > 0" value="">
        No se encontró nada con el termino {{searchInput.value}}
      </mat-option>
    </mat-autocomplete>

    <!-- <mat-autocomplete autoActiveFirstOption #auto="matAutocomplete">
      @for (hero of heroes; track hero) {
      <mat-option [value]="hero.superhero">{{hero.superhero}}</mat-option>
      }
    </mat-autocomplete> -->
  </mat-form-field>

  {{selectedHero | json}}
</div>